FieldAnalysisResponse (Solr 3.6.2 API)
Keywords: org.apache.solr.client.solrj.response.FieldAnalysisResponse class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.client.solrj.response
Class FieldAnalysisResponse

    java.lang.Object
      org.apache.solr.client.solrj.SolrResponse
          org.apache.solr.client.solrj.response.SolrResponseBase
              org.apache.solr.client.solrj.response.AnalysisResponseBase
                  org.apache.solr.client.solrj.response.FieldAnalysisResponse

All Implemented Interfaces:
  Serializable

    public class FieldAnalysisResponse

extends AnalysisResponseBase

A response that is returned by processing the `FieldAnalysisRequest`. Holds a map of `FieldAnalysisResponse.Analysis` objects per field name as well as a map of `FieldAnalysisResponse.Analysis` objects per field type.

Since:
  solr 1.4
Version:
  $Id: FieldAnalysisResponse.java 823653 2009-10-09 18:27:13Z hossman $
See Also:
  Serialized Form

Nested Class Summary
`static class` | `FieldAnalysisResponse.Analysis` The analysis of a field.

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.response.AnalysisResponseBase
`AnalysisResponseBase.AnalysisPhase, AnalysisResponseBase.TokenInfo`

Constructor Summary
`FieldAnalysisResponse()`

Method Summary
`Iterable<Map.Entry<String,FieldAnalysisResponse.Analysis>>` | `getAllFieldNameAnalysis()` Returns all field name analysese with their associated field names.
`Iterable<Map.Entry<String,FieldAnalysisResponse.Analysis>>` | `getAllFieldTypeAnalysis()` Returns all field type analyses with their associated field types.
`FieldAnalysisResponse.Analysis` | `getFieldNameAnalysis(String fieldName)` Returns the analysis for the given field name or `null` if no such analysis exists.
`int` | `getFieldNameAnalysisCount()` Returns the number of field name analyses.
`FieldAnalysisResponse.Analysis` | `getFieldTypeAnalysis(String fieldTypeName)` Returns the analysis for the given field type or `null` if no such analysis exists.
`int` | `getFieldTypeAnalysisCount()` Returns the number of field type analyses.
`void` | `setResponse(NamedList<Object> response)`

Methods inherited from class org.apache.solr.client.solrj.response.AnalysisResponseBase
`buildPhases, buildTokenInfo`

Methods inherited from class org.apache.solr.client.solrj.response.SolrResponseBase
`getElapsedTime, getQTime, getRequestUrl, getResponse, getResponseHeader, getStatus, setElapsedTime, setRequestUrl, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FieldAnalysisResponse

    public FieldAnalysisResponse()

Method Detail

### setResponse

    public void setResponse(NamedList<Object> response)

  Overrides:
    `setResponse` in class `SolrResponseBase`

### getFieldTypeAnalysisCount

    public int getFieldTypeAnalysisCount()

  Returns the number of field type analyses.

  Returns:
    The number of field type analyses.

### getFieldTypeAnalysis

    public FieldAnalysisResponse.Analysis getFieldTypeAnalysis(String fieldTypeName)

  Returns the analysis for the given field type or `null` if no such analysis exists.

  Parameters:
    `fieldTypeName` - The name of the field type.
  Returns:
    The analysis for the given field type.

### getAllFieldTypeAnalysis

    public Iterable<Map.Entry<String,FieldAnalysisResponse.Analysis>> getAllFieldTypeAnalysis()

  Returns all field type analyses with their associated field types.

  Returns:
    All field type analyses with their associated field types.

### getFieldNameAnalysisCount

    public int getFieldNameAnalysisCount()

  Returns the number of field name analyses.

  Returns:
    The number of field name analyses.

### getFieldNameAnalysis

    public FieldAnalysisResponse.Analysis getFieldNameAnalysis(String fieldName)

  Returns the analysis for the given field name or `null` if no such analysis exists.

  Parameters:
    `fieldName` - The field name.
  Returns:
    The analysis for the given field name.

### getAllFieldNameAnalysis

    public Iterable<Map.Entry<String,FieldAnalysisResponse.Analysis>> getAllFieldNameAnalysis()

  Returns all field name analysese with their associated field names.

  Returns:
    all field name analysese with their associated field names.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD